add_executable(nostalgia-pack)

target_link_libraries(
	nostalgia-pack
		KeelPack-AppLib
		NostalgiaKeelModules
		NostalgiaProfile
		OlympicApplib
)

if(CMAKE_BUILD_TYPE STREQUAL "Release" AND NOT WIN32)
	# enable LTO
	set_property(TARGET nostalgia-pack PROPERTY INTERPROCEDURAL_OPTIMIZATION TRUE)
endif()

install(
	TARGETS
		nostalgia-pack
	RUNTIME DESTINATION
		bin
)
